Package org.apache.sling.query.impl.predicate

## Class IterableContainsPredicate<T>

- java.lang.Object
- - org.apache.sling.query.impl.predicate.IterableContainsPredicate<T>

All Implemented Interfaces:
  `Predicate<T>`

    public class IterableContainsPredicate<T>
    extends Object
    implements Predicate<T>

### Constructor Summary

Constructors
`IterableContainsPredicate​(Iterable<T> iterable, org.apache.sling.query.api.internal.TreeProvider<T> provider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `test​(T element)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

### Constructor Detail

#### IterableContainsPredicate

    public IterableContainsPredicate​(Iterable<T> iterable,
                                     org.apache.sling.query.api.internal.TreeProvider<T> provider)

### Method Detail

#### test

    public boolean test​(T element)

Specified by:
  `test` in interface `Predicate<T>`